Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2756103002: DevTools: remove SDK.ResourceTreeFrame.fromXXX methods (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months, 1 week ago by lushnikov
Modified:
7 months, 1 week ago
Reviewers:
dgozman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: remove SDK.ResourceTreeFrame.fromXXX methods This patch makes NetworkProject to operate frameIds instead of frame objects. Today, we query ResourceTreeModel every time we want to add/remove UISourceCode. Sometimes resourceTreeModel removes frames before NetworkProject removes associated resources (e.g. during MainFrameNavigated), and our query fails. Relying on frameId's instead of frames removes NetworkProject dependency on ResourceTreeModel and its frame lifecycle. As a result, all the SDK.ResourceTreeFrame.fromXXX methods are not needed any more. BUG=670180 R=dgozman Review-Url: https://codereview.chromium.org/2756103002 Cr-Commit-Position: refs/heads/master@{#457931} Committed: https://chromium.googlesource.com/chromium/src/+/df3c60756d51e4db3b19133b7972c866ca49d027

Patch Set 1 #

Total comments: 10

Patch Set 2 : DevTools: remove SDK.ResourceTreeFrame.fromXXX methods #

Patch Set 3 : remove unused code #

Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -73 lines) Patch
M third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js View 1 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/NetworkProject.js View 1 2 11 chunks +31 lines, -30 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/SASSSourceMapping.js View 1 2 chunks +2 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/ResourceTreeModel.js View 1 1 chunk +0 lines, -39 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (10 generated)
lushnikov
please, take a look
7 months, 1 week ago (2017-03-17 04:55:49 UTC) #1
dgozman
https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js File third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js (right): https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js#newcode392 third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js:392: Bindings.CompilerScriptMapping._frameSymbol = Symbol('Bindings.CompilerScriptMapping._frameSymbol'); Unused. https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/NetworkProject.js File third_party/WebKit/Source/devtools/front_end/bindings/NetworkProject.js (right): https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/NetworkProject.js#newcode345 ...
7 months, 1 week ago (2017-03-17 19:00:21 UTC) #6
lushnikov
https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js File third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js (right): https://codereview.chromium.org/2756103002/diff/1/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js#newcode392 third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js:392: Bindings.CompilerScriptMapping._frameSymbol = Symbol('Bindings.CompilerScriptMapping._frameSymbol'); On 2017/03/17 19:00:21, dgozman wrote: > ...
7 months, 1 week ago (2017-03-17 21:21:47 UTC) #8
dgozman
lgtm
7 months, 1 week ago (2017-03-17 21:40:54 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756103002/40001
7 months, 1 week ago (2017-03-17 21:42:41 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/403269)
7 months, 1 week ago (2017-03-17 23:41:57 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756103002/40001
7 months, 1 week ago (2017-03-18 00:27:59 UTC) #15
commit-bot: I haz the power
7 months, 1 week ago (2017-03-18 02:26:54 UTC) #18
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/df3c60756d51e4db3b19133b7972...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa